<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<!-- bootstrap link -->
	<!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous"> -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- CDN	- Content Delivery Network
				- Refers to a geographically distribute group of server which work togther
				- it allows a quick transfer of asses needed for loading
				- If CDN is properly configured it will help protect the web from attack.
				- downfall of CDN is if your internet connection is slow, it will not load properly
	 -->



	<title>Bootstrap Introduction</title>
</head>
<body>
	<!-- navbar -->
	<nav class="navbar navbar-expand-md navbar-dark bg-primary">
		<a class="navbar-brand" href="#">B197 Intro</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>


	<div class="collapse navbar-collapse" id="navbarMenu">
		<ul class="navbar-nav mr-auto">
			<li class="nav-item">
				<a class="nav-link" href="#">Home</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="#">Link</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="#">Gallery</a>
			</li>
		</ul>
	</div>
	</nav>
	<!-- end navbar -->

	<!-- content section -->
	<div class="mt-5 p-5 bg-warning">
		Boostrap has its own responsive padding and margines. Wherein the classes are: m - stands for margin and p - stands for padding
	</div>
	<div class="bg-primary my-5 px-4 text-white">
		<h4>Bootstrap Padding and Margin can be applied to specific sides</h4>

		<ul>
			<li>t - set either margin or padding at the top of an element: mt or pt</li>
			<li>b - set either margin or padding at the bottom of an element: mb or pb</li>
			<li>x - set either margin or padding at the left & right side of an element: mx or px</li>
			<li>y - set either margin or padding at the top & bottom of an element: my or py</li>
			<li>l - set either margin or padding at the left of an element: ml or pl</li>
			<li>r - set either margin or padding at the right of an element: mr or pr</li>
			<li>blank - set either margin or padding on ALL sides of an element: m or p</li>
		</ul>
	</div>
	<!-- 
		in bootstap you can add a border by adding the class border. This will set a 1px border on your element on all sides. You can then add the proper color ince we add the border class.

		you can also set the direction or side to add the boder:
			border - border on all sides
			border-top - border at the top side
			border-bottom - border at the bottom side
			border-right - border at the right side
			border-left - border at the left side
		
		REMEMBER: Bootstrap border is set at 1px. If you want to increase the size of the border, you can always use your CSS
	 -->

	 <div class="tex-center">
	 	<h4>Bootstrap margin and padding has sized from 0 to 5 and auto</h4>
	 	<ul>
	 		<li>0 - sets the margin and padding to 0</li>
	 		<li>1 - sets either margin and padding to 0.25rem or 4px if the root element font size is 16px</li>
	 		<li>2 - sets either margin and padding to 0.5rem or 8px if the root element font size is 16px</li>
	 		<li>3 - sets either margin and padding to 1rem or 16px if the root element font size is 16px</li>
	 		<li>4 - sets either margin and padding to 1.5rem or 24px if the root element font size is 16px</li>
	 		<li>5. sets either margin and padding to 3rem or 48px if the root element font size is 16px</li>
	 	</ul>
	 </div>

	 <!-- 
	 	Mini Activity
	 	1. Create a div which has darkborder on all sides, has 48px margin at the top and 1.5rem of padding on the left and right side
	 		- text: div with Dark Border
	 	2. Create a div which has warning/yellow border on all sides, 1rem of margin at the top and bottom and 1rem of padding on all sides and it should also have a gray background.
	 		-text: div with warning border
	  -->
	<!-- end content section -->

	<!-- Mini Activity -->
	<div class="border border-dark mt-5 px-4">
		Div (Dark Border)
	</div>

	<div class="border border-warning my-3 p-3 bg-secondary">
		Div (Warning/Yellow Border)
	</div>

	<div class="bg-dark p-3 my-3">
		<h2	class="text-center text-white">Bootstrap Link</h2>
		<!-- by default, link in bootstrap does not have an underline. it only shows when hovered over. However, we can remove this completely by adding class text-decoration-none -->

		<a class="text-success text-decoration-none" href="#">This link is Green</a>
		<a class="text-danger" href="#">This link is Red</a>
		<a class="text-warning" href="#">This link is Yellow</a>
		<a href="#">This is a link</a>

		<!-- In bootstrap you can make an achor tag look like a button by adding the appropriate button class  -->

		<a class="btn btn-outline-primary"href="#">This is a link</a>

		<button class="btn btn-outline-warning">Outline Button</button>
		<button class="btn btn-success btn-block mt-2">Block Button</button>
	</div>

	<div>
	  <div>
	  	<h2>Aligning Text and Inline Elements</h2>
	  	<!-- You can align text and inline elements using text align property or text alignment classes in Bootstrap
			Note: You have to add the text-alignment class on the parent
	  	 -->
	  	 <img src="https://placekitten.com/300/300" alt="kitten" />
	  	 <button class="btn btn-warning">Sample</button>
	  	 <!-- However, for block element only the text can be centered/aligned with the text alignment class 
			Block element, by default, it take full width of their parent element. But they are not exactly centered
			
			auto - margin to set in both left and right side. Auto margins calculate the space left and assigns it appropriately
			 You can mx-auto on a block element that has a definite width to center the block element
	  	 -->
	  	 <p class="border border-dark bg-success p-5 mx-auto text-center"  style="width:50%;">
	  	 	I am block element
	  	 </p>
	  </div>
	<!-- end content section -->

	<!-- Main Activity -->
	Activity:
	1. In the S09-b folder, create an activity folder.
	2. Clone/copy the template for the index.html file.
	3. Apply Bootstrap to the project by adding all the dependencies.
	4. Apply Bootstrap classes to the following:
			- Navbar
			- Footer
			- About Me Section
			- Projects Section
	5. Create a git repository named S09-b.
	6. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code.
	7. Add the link in Boodle s09.

	<!-- footer -->
	<!-- end of the footer -->
	
	<!-- bootstrap js dependencies -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>